D4Science Infrastructure - Task #12263
Restart Accounting Aggregator

Jul 27, 2018 06:54 PM - Luca Frosini

Status: Closed Start date: Jul 27, 2018

Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Data Publishing

Infrastructure: Production

Description

Related issues:

Related to D4Science Infrastructure - Incident #12203: News Feed search funct... Closed Jul 19,2018  Jul 20, 2018
Related to D4Science Infrastructure - Task #12270: Shutdown resource-registry... Closed Jul 30, 2018

History

#1 - Jul 27, 2018 06:58 PM - Luca Frosini

- Related to Incident #12203: News Feed search function returns result up to mid June 2018 added

#2 - Jul 27, 2018 07:05 PM - Luca Frosini

- Subject changed from Restart Accounting Aggregator which is not running from last upgrade to Restart Accounting Aggregator

The smart-executor did not started correctly as happened for social-indexer-plugin see #12203

orientdb01-d4s denyend any incoming connection because it

Reached maximum number of concurrent connections (max=1000, current=4559), reject incoming connection from /146.48.123.23:60410

146.48.123.23 is monitoring.research-infrastructures.eu

Moreover | found that there are tentative connections from 146.48.122.24 (postgresql-srv-dev.d4science.org)

Why this machines are trying to connect to orientdb?

@andrea.dellamico@isti.cnr.it @tommaso.piccioli@isti.cnr.it can you check this?

#3 - Jul 27,2018 07:10 PM - Luca Frosini
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

| successfully restarted orientdb and accounting-aggregator.d4science.org smartgears container.

Please note that the container was restarted tonight at midnight.

#4 - Jul 28, 2018 02:10 PM - Andrea Dell'Amico

Luca Frosini wrote:

Moreover | found that there are tentative connections from 146.48.122.24 (postgresql-srv-dev.d4science.org)

How did you associate 146.48.122.24 with postgresql-srv-dev.d4science.org? That's the IP of accounting-aggregator.d4science.org

#5 - Jul 30, 2018 10:32 AM - Luca Frosini

Andrea Dell'’Amico wrote:

Luca Frosini wrote:

Moreover | found that there are tentative connections from 146.48.122.24 (postgresql-srv-dev.d4science.org)
How did you associate 146.48.122.24 with postgresql-srv-dev.d4science.org? That's the IP of accounting-aggregator.d4science.org

I made 'host' command on shell. Maybe | entered the IP 146.48.123.24 for mistake which is is the one of postgresql-srv-dev.d4science.org.
What about the connections from 'monitoring.research-infrastructures.eu'?

#6 - Jul 30, 2018 10:54 AM - Luca Frosini

the host was down again because orientdb refuses the connections.

Can you please check monitoring.research-infrastructures.eu?

#7 - Jul 30, 2018 10:57 AM - Luca Frosini

The container is restart every midnight because in the past it leaks memory. Every smart-executor try to connect to orientdb at start time to check if
there is a sheduling for the plugin.

#8 - Jul 30, 2018 11:15 AM - Andrea Dell'’Amico

Luca Frosini wrote:
the host was down again because orientdb refuses the connections.
Can you please check monitoring.research-infrastructures.eu?

What am | supposed to check? The nagios test never changed since we added it: it's a http request to /studio/index.hml (port 2048). The check runs
every 5 minutes, as all the other http checks.

#9 - Jul 30, 2018 11:58 AM - Luca Frosini

| restarted the resource-registry which is the old version (the new one cannot be used because it impact on all the clients). It could be the ones using
SO many connections.

@roberto.cirillo@isti.cnr.it are there any hosts using the new resource-registry? Otherwise we can stop it during the holiday time.
#10 - Jul 30, 2018 02:05 PM - Roberto Cirillo
Luca Frosini wrote:

| restarted the resource-registry which is the old version (the new one cannot be used because it impact on all the clients). It could be the ones
using so many connections.

@roberto.cirillo@isti.cnr.it are there any hosts using the new resource-registry? Otherwise we can stop it during the holiday time.

| don't know, | remember that in the past the home-library-webapp was using it, I've checked now and the handler is not more present on home-library
webapp.

#11 - Jul 30, 2018 02:14 PM - Luca Frosini
- Related to Task #12270: Shutdown resource-registry until the next upgrade added
